<div class="row">
  <div class="col-lg-12">

    <ol class="breadcrumb">
      <li class="breadcrumb-item"><button class="btn btn-primary" (click)="addVehicle()"><i class="fa fa-plus"></i> Ajouter</button></li>
    </ol>
  </div>

</div>

<div class="row">
  <div class="col-md-12">
    <div class="card mb-3">
      <div class="card-header">
        <i class="fa fa-truck"></i> Vehicles</div>

      <div class="table-responsive">
        <table width="100%" class="table table-striped table-hover ">
          <thead>
          <tr>
            <th>N°</th>
            <th class="text-center">Nom</th>
            <th class="text-center">Matricule</th>
            <th class="text-center">Coûts Fixes</th>
            <th class="text-center">Coût / M</th>
            <th class="text-center">Volume (M³)</th>
            <th class="text-center">Poids Max (Kg)</th>
            <th class="text-right">Operations</th>
          </tr>
          </thead>
          <tbody>
          <tr class="odd gradeX" *ngFor="let vehicle of vehicles">
            <td><b>{{vehicle.id}}</b></td>
            <td class="text-center"><b>{{vehicle.nameVehicle}}</b></td>
            <td class="text-center"><b>{{vehicle.matricule}}</b></td>
            <td class="text-center"><b>{{vehicle.fixedCost}}</b></td>
            <td class="text-center"><b>{{vehicle.operatingCostPerMetre}}</b></td>
            <td class="text-center"><b>{{vehicle.maxWeight}}</b></td>
            <td class="text-center"><b>{{vehicle.volumeVehicle}}</b></td>
            <td class="text-right">
              <button type="button" class="btn btn-primary btn-circle" (click)="updateVehicle(vehicle.id)"><i class="fa  fa-edit"></i></button>
              &nbsp;|&nbsp;
              <button type="button" class="btn btn-danger btn-circle" (click)="deleteVehicle(vehicle)"><i class="fa fa-trash-o "></i></button>
            </td>

          </tr>
          </tbody>
        </table>
      </div>
      <div class="card-footer small text-muted"></div>
    </div>
  </div>

  </div>